Get security group
curl --request GET \
--url https://api.example.com/api/v2/securitygroups/{securityGroupID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/securitygroups/{securityGroupID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/securitygroups/{securityGroupID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"name": "undefined",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2024-05-31T14:11:00Z",
"createdBy": "john.doe@acme.com",
"provisioningStatus": "provisioned",
"healthStatus": "healthy"
},
"spec": {
"rules": [
{
"direction": "ingress",
"protocol": "tcp",
"port": 80,
"cidr": "172.16.0.0/12"
}
]
},
"status": {
"regionId": "ba39bff5-b0d8-4c60-89e5-ed1104356b4a",
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe"
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Security groups
Get security group
Get a security group.
GET
/
api
/
v2
/
securitygroups
/
{securityGroupID}
Get security group
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Path Parameters
The security group ID. A security group ID.
Response
A security group.
Was this page helpful?
⌘I